package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import java.util.logging.Level;

/**
 * Sense for seeing another players.
 * @author Honza
 */
@PrimitiveInfo(name = "seePlayer", description = "The bot sees another player,")
public class SeePlayer extends StateSense<EmohawkContext, Boolean> {

    public SeePlayer(EmohawkContext ctx) {
        super("seePlayer", ctx);
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public Boolean query(VariableContext params) {
    	ctx.getLog().info("seePlayer() == " + ctx.getPlayers().canSeePlayers());
        return ctx.getPlayers().canSeePlayers();
    }
}
