package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import static cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b.Informations.*;
import java.util.logging.Level;
/**
 * Sense for seeing another players.
 * @author Honza
 */
@PrimitiveInfo(name = "isEndComunication", description = "Is the communication finished ?")
public class isEndComm extends StateSense<EmohawkContext, Boolean> {

    public isEndComm(EmohawkContext ctx) {
        super("isEndComunication", ctx);
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public Boolean query(VariableContext params) {
        return index >= ems.length;
    }
}
