package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateAction;
import cz.cuni.amis.pogamut.ut2004.communication.messages.ItemType;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Item;
import static cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b.Informations.*;
import java.util.logging.Level;
import static cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b.Informations.*;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;

/**
 * Action that causes bot to jump.
 *
 * @author Honza
 */
@PrimitiveInfo(name = "InitComm", description = "Communication start init.")
public class InitCommunication extends StateAction<EmohawkContext> {

    public InitCommunication(EmohawkContext ctx) {
        super("InitComm", ctx);
    }

    @Override
    public void init(VariableContext params) {
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public ActionResult run(VariableContext params) {
        isCommunication = true;
        myTurn = true;
        index +=2;
        return ActionResult.RUNNING_ONCE;
    }

    @Override
    public void done(VariableContext params) {
    }
}
