package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import java.util.logging.Level;

/**
 * Sense for seeing another players.
 * @author Honza
 */
@PrimitiveInfo(name = "itsMyTurn", description = "It's my turn to say.")
public class IsMyTurn extends StateSense<EmohawkContext, Boolean> {

    public IsMyTurn(EmohawkContext ctx) {
        super("itsMyTurn", ctx);
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public Boolean query(VariableContext params) {
        return Informations.myTurn;
    }
}
