package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Player;
import java.util.logging.Level;

/**
 * Sense for seeing another players.
 * @author Honza
 */
@PrimitiveInfo(name = "playerSaySomething", description = "Is player saying something ?")
public class PlayerSaySomething extends StateSense<EmohawkContext, Boolean> {

    public PlayerSaySomething(EmohawkContext ctx) {
        super("playerSaySomething", ctx);
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public Boolean query(VariableContext params) {
        Player p = ctx.getPlayers().getRandomVisiblePlayer();
        return ctx.getEmoticons().getPlayerEmoticon(p).getEmoticonCount() != 0;
    }
}
