package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateAction;
import cz.cuni.amis.pogamut.ut2004.communication.messages.ItemType;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Item;
import static cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b.Informations.*;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import java.util.logging.Level;

/**
 * Action that causes bot to jump.
 *
 * @author Honza
 */
@PrimitiveInfo(name = "Say", description = "Say next emoticon.")
public class Say extends StateAction<EmohawkContext> {

    public Say(EmohawkContext ctx) {
        super("Say", ctx);
    }

    @Override
    public void init(VariableContext params) {
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public ActionResult run(VariableContext params) {
        ctx.getEmoticons().setEmoticon(ems[index]);
        myTurn = false;
        return ActionResult.RUNNING_ONCE;
    }

    @Override
    public void done(VariableContext params) {
    }
}
