package cz.cuni.amis.pogamut.emohawk.examples.emoticonposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateAction;
import cz.cuni.amis.pogamut.ut2004.communication.messages.ItemType;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Item;
import java.util.logging.Level;

/**
 * Action that causes bot to jump.
 * @author Honza
 */
@PrimitiveInfo(name = "turnToPlayer", description = "Turn to player direction.")
public class TurnToPlayer extends StateAction<EmohawkContext> {

    public TurnToPlayer(EmohawkContext ctx) {
        super("turnToPlayer", ctx);
    }

    @Override
    public void init(VariableContext params) {
        ctx.getLog().setLevel(Level.INFO);
    }

    @Override
    public ActionResult run(VariableContext params) {
        System.out.println("Turn to player");
        if (!ctx.getPlayers().canSeePlayers()) ctx.getMove().turnHorizontal(20);
        return ActionResult.RUNNING;
    }

    @Override
    public void done(VariableContext params) {

    }
}
